Package relaxngcc.codedom

# Class CDSwitchStatement

java.lang.Object
relaxngcc.codedom.CDSwitchStatement

All Implemented Interfaces:
  `CDStatement`

public class CDSwitchStatement extends Object implements CDStatement

## Constructor Summary

Constructors
Constructor
Description
`CDSwitchStatement(CDExpression expr)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addCase(CDConstant expr, CDBlock statements)`
`CDBlock`
`defaultCase()`
`void`
`state(CDFormatter f)`
Prints itself as a statement.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDSwitchStatement

public CDSwitchStatement(CDExpression expr)

## Method Details

### addCase

public void addCase(CDConstant expr, CDBlock statements)

### defaultCase

public CDBlock defaultCase()

### state

public void state(CDFormatter f) throws IOException
Description copied from interface: `CDStatement`
Prints itself as a statement.

Specified by:
  `state` in interface `CDStatement`
Throws:
  `IOException`